#!/bin/env bash
#############################################################################
# ██╗   ██╗ ██████╗ ██╗██████╗     ██╗███╗   ██╗███████╗████████╗ █████╗ ██╗     ██╗     ███████╗██████╗
# ██║   ██║██╔═══██╗██║██╔══██╗    ██║████╗  ██║██╔════╝╚══██╔══╝██╔══██╗██║     ██║     ██╔════╝██╔══██╗
# ██║   ██║██║   ██║██║██║  ██║    ██║██╔██╗ ██║███████╗   ██║   ███████║██║     ██║     █████╗  ██████╔╝
# ╚██╗ ██╔╝██║   ██║██║██║  ██║    ██║██║╚██╗██║╚════██║   ██║   ██╔══██║██║     ██║     ██╔══╝  ██╔══██╗
#  ╚████╔╝ ╚██████╔╝██║██████╔╝    ██║██║ ╚████║███████║   ██║   ██║  ██║███████╗███████╗███████╗██║  ██║
#   ╚═══╝   ╚═════╝ ╚═╝╚═════╝     ╚═╝╚═╝  ╚═══╝╚══════╝   ╚═╝   ╚═╝  ╚═╝╚══════╝╚══════╝╚══════╝╚═╝  ╚═╝
#############################################################################
# Autor:Alex Ham
# Email:kandil@disroot.org
# Description:This script will install the necessary and additional progs in the psemdo system
# Dependencies:
# Signs:
#	[-]=waiting
#	[+]=successful
#	[!]=warning
#	[*]=info
#	[?]=aksing
#############################################################################
# Colors
# cl_black=$'\e[30m'
# cl_yellow=$'\e[33m'
# cl_magenta=$'\e[35m'
# cl_cyan=$'\e[36m'
# cl_white=$'\e[37m'
# cl_bright=$'\e[1m'
cl_red=$'\e[31m'
cl_green=$'\e[32m'
cl_blue=$'\e[34m'
cl_normal=$'\e[0m'
#############################################################################
# ENV
# luks_name="lukspc"
# lvm_name="lvmpc"
# fs_type="ext4"
# sys_hostname="voidpc"
# sys_language="en_US.UTF-8"
# sys_locale="en_US.UTF-8 UTF-8"
# user_groups="wheel,floppy,cdrom,optical,audio,video,kvm,plugdev"
# grub_discards="rd.luks.allow-discards"
# rootfs_link="https://repo-default.voidlinux.org/live/current/void-x86_64-ROOTFS-20230628.tar.xz"
sys_pkg_list="list.pkg"
# run_dev=$(lsblk -slnpo NAME $(df --output=source / | sed 1d) | tail -n1)
user_name=alex
#############################################################################
# Start

printf "%s=======================%s\n" "${cl_green}" "${cl_normal}"
printf "%s[*] Additional commands%s\n" "${cl_green}" "${cl_normal}"
printf "%s=======================%s\n" "${cl_green}" "${cl_normal}"

# Installing utilities(git, stow)
printf "[-] Installation utilities(git, stow)"
chroot /mnt xbps-install git stow >/dev/null

# Cloning repositorys
printf "[-] Cloning repositorys"
git clone git@git.disroot.org:kandil/dotfiles.git \
	/mnt/home/"${user_name}"/.dotfiles
git clone git@git.disroot.org:kandil/voidrice.git \
	/mnt/home/"${user_name}"/.local/progs/voidrice
git clone git@git.disroot.org:kandil/st.git \
	/mnt/home/"${user_name}"/.local/progs/st
git clone git@git.disroot.org:kandil/dwm.git \
	/mnt/home/"${user_name}"/.local/progs/dwm
git clone git@git.disroot.org:kandil/slstatus.git \
	/mnt/home/"${user_name}"/.local/progs/slstatus
git clone git@git.disroot.org:kandil/translater.git \
	/mnt/home/"${user_name}"/translater

# Moving the translater to the program directory
printf "[+] Moving the translater to the program directory"
mv /mnt/home/"${user_name}"/translater \
	/mnt/home/"${user_name}"/.local/bin/translater

# Symlinks to configs and daemons
chroot /mnt stow -Svn /home/"${user_name}"/.dotfiles/*
ln -s /mnt/etc/sv/{tor,dbus,dhcpcd} /mnt/var/service
